//Datei: PROTOS.H
//
//Nur Prototypen
//
//Holger Klabunde
//03.01.2003

#ifndef PROTOS_H
#define PROTOS_H

#include "t6963.h"

//circle.c
extern void Circle(unsigned char xpos, unsigned char ypos, unsigned char radius, unsigned char step);
extern void FillCircle(unsigned char xpos, unsigned char ypos, unsigned char radius, unsigned char step);

//fontsoft.c
extern void SetFont(unsigned char num);
extern void LCDSoftChar(unsigned char ch, unsigned char xpos, unsigned char ypos);
extern void LCDSoftText(char *__putstr, unsigned char xpos, unsigned char ypos);
extern void ShowSoftFont(unsigned char num);

//draw.c
extern unsigned char xcursor,ycursor;
extern void SetGCursor(unsigned char x, unsigned char y);
extern void DrawLineRel(int dx, int dy, unsigned char mode);
extern void DrawLineAbs(unsigned char x, unsigned char y, unsigned char mode);
extern void DrawLine(unsigned char x1, unsigned char y1, unsigned char x2, unsigned char y2);
extern void DrawYLineLen(unsigned char y, unsigned char len, unsigned char x);
extern void DrawXLineLen(unsigned char x, unsigned char len, unsigned char y);
extern void DrawYLine(unsigned char y1, unsigned char y2, unsigned char x);
extern void DrawXLine(unsigned char x1, unsigned char x2, unsigned char y);
extern void FillRect(unsigned char x, unsigned char y, unsigned char width, unsigned char height);
extern void DrawRect(unsigned char x, unsigned char y, unsigned char width, unsigned char height);

//Bitmap.c
extern void LoadBitmap(unsigned const char *bitmap,unsigned char xpos , unsigned char ypos, unsigned char width, unsigned char height);

//Hardwareeinstellung beim Start
extern void InitHardware(void);
extern void Delay1ms(unsigned int);
extern void Delay100us(unsigned char);

#endif
