// hk@holger-klabunde.de
// http://www.holger-klabunde.de
// 03.01.2003
// Compiler AVR-GCC 3.2
/*
Serial header file
License : GPL
(c) Adam Majerczyk

*/
#ifndef ___SERIAL_H
#define ___SERIAL_H

#define F_CPU                 8000000      /* 8Mhz */
#define UART_BAUD_RATE_4800      4800      /* baudrate */
#define UART_BAUD_RATE_9600      9600      /* baudrate */

#define UART_BAUD_SELECT_4800 (F_CPU/(UART_BAUD_RATE_4800*16l)-1)
#define UART_BAUD_SELECT_9600 (F_CPU/(UART_BAUD_RATE_9600*16l)-1)

//Prototypes
extern void ser_init (void);
extern void ser_putc (unsigned char c);
extern void ser_puts (unsigned char *s);
extern int ser_gets (unsigned char *s, unsigned char len);
extern unsigned char ser_getc (void);
extern volatile unsigned char rcnt, rpos;
extern volatile unsigned char busy;


#endif
